## org.eclipse.ocl.cst
Interface PropertyContextCS

All Superinterfaces:
  ContextDeclCS, CSTNode, EObject, Notifier

All Known Implementing Classes:
  PropertyContextCSImpl

    public interface PropertyContextCS

extends ContextDeclCS

A representation of the model object 'Property Context CS'.

The following features are supported:

- `Path Name CS`
- `Simple Name CS`
- `Type CS`
- `Init Or Der Value CS`

See Also:
  `CSTPackage.getPropertyContextCS()`

Method Summary
`InitOrDerValueCS` `getInitOrDerValueCS()` Returns the value of the 'Init Or Der Value CS' containment reference
`PathNameCS` `getPathNameCS()` Returns the value of the 'Path Name CS' containment reference
`SimpleNameCS` `getSimpleNameCS()` Returns the value of the 'Simple Name CS' containment reference
`TypeCS` `getTypeCS()` Returns the value of the 'Type CS' containment reference
`void` `setInitOrDerValueCS(InitOrDerValueCS value)` Sets the value of the '`Init Or Der Value CS`' containment reference
`void` `setPathNameCS(PathNameCS value)` Sets the value of the '`Path Name CS`' containment reference
`void` `setSimpleNameCS(SimpleNameCS value)` Sets the value of the '`Simple Name CS`' containment reference
`void` `setTypeCS(TypeCS value)` Sets the value of the '`Type CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPathNameCS

    PathNameCS getPathNameCS()

  Returns the value of the 'Path Name CS' containment reference.

  If the meaning of the 'Path Name CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Path Name CS' containment reference.
  See Also:
    `setPathNameCS(PathNameCS)`, `CSTPackage.getPropertyContextCS_PathNameCS()`

### setPathNameCS

    void setPathNameCS(PathNameCS value)

  Sets the value of the '`Path Name CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Path Name CS' containment reference.
  See Also:
    `getPathNameCS()`

### getSimpleNameCS

    SimpleNameCS getSimpleNameCS()

  Returns the value of the 'Simple Name CS' containment reference.

  If the meaning of the 'Simple Name CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Simple Name CS' containment reference.
  See Also:
    `setSimpleNameCS(SimpleNameCS)`, `CSTPackage.getPropertyContextCS_SimpleNameCS()`

### setSimpleNameCS

    void setSimpleNameCS(SimpleNameCS value)

  Sets the value of the '`Simple Name CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Simple Name CS' containment reference.
  See Also:
    `getSimpleNameCS()`

### getTypeCS

    TypeCS getTypeCS()

  Returns the value of the 'Type CS' containment reference.

  If the meaning of the 'Type CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type CS' containment reference.
  See Also:
    `setTypeCS(TypeCS)`, `CSTPackage.getPropertyContextCS_TypeCS()`

### setTypeCS

    void setTypeCS(TypeCS value)

  Sets the value of the '`Type CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Type CS' containment reference.
  See Also:
    `getTypeCS()`

### getInitOrDerValueCS

    InitOrDerValueCS getInitOrDerValueCS()

  Returns the value of the 'Init Or Der Value CS' containment reference.

  If the meaning of the 'Init Or Der Value CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Init Or Der Value CS' containment reference.
  See Also:
    `setInitOrDerValueCS(InitOrDerValueCS)`, `CSTPackage.getPropertyContextCS_InitOrDerValueCS()`

### setInitOrDerValueCS

    void setInitOrDerValueCS(InitOrDerValueCS value)

  Sets the value of the '`Init Or Der Value CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Init Or Der Value CS' containment reference.
  See Also:
    `getInitOrDerValueCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.